#
#-----------------------------------------------------------------------------
# 
#              Copyright 2002 Visible Systems Corporation
#                             All Rights Reserved
#
#
# This script, and all others related to the Razor tool suite, are the
# property of Visible Systems Corporation and may be copied/modified to 
# meet your site specific needs.
#
#
# Use of this product implies acceptance of the following:
# 
# THE PRODUCTS SUPPLIED HEREUNDER ARE FURNISHED "AS IS".  VISIBLE SYSTEMS 
# CORPORATION DISCLAIMS WITHOUT LIMITATION ALL IMPLIED WARRANTIES OF FITNESS.  
# IN NO EVENT WILL VISIBLE SYSTEMS CORPORATION BE LIABLE FOR DAMAGES TO 
# PROPERTY OR ANY DAMAGES RESULTING FROM LOSS OF DATA, PROFITS OR USE OF 
# PRODUCTS, OR FOR ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES, EVEN IF ADVISED 
# OF THE POSSIBILITY OF SUCH DAMAGE.  THIS LIMITATION OF VISIBLE SYSTEMS 
# CORPORATION LIABILITY WILL APPLY REGARDLESS OF THE FORM OF ACTION, WHETHER 
# IN CONTRACT OR TORT INCLUDING NEGLIGENCE.  THE RECIPIENT AGREES TO HOLD 
# VISIBLE SYSTEMS CORPORATION HARMLESS AGAINST ANY CLAIMS INCLUDING COURT 
# COSTS AND LEGAL EXPENSES RELATING TO THE PRODUCTS FURNISHED BY VISIBLE 
# SYSTEMS CORPORATION.
# 
#-----------------------------------------------------------------------------
#
#
# Notes...
#
#
# local_version = @(#) 1.8 02/05/02 10:55:16 rz_since.awk
#
#
# Usage: nawk -f rz_since.awk <file> <time>
#
#
##############################################################################

BEGIN	{
	found = 0;
	desc_found = 0;
	since_time = ARGV[2];
	ARGV[2] = "";
	}

/^#/	{
	if (!found) next;
	is_title = index($1, "##");
	if (is_title == 1)
		{
		gsub(/#/, "");
		desc_found = 0;
		print;

		#if ($1 == "CHECKED")
			#printf("Info: %s\n", $0);
		#else
			#printf("Title: %s\n", $0);
		}
	else
		{
		gsub(/#/, "");
		if (!desc_found)
			{
			desc_found = 1;
			printf("Description:  %s\n", $0);
			}
		else
			printf("%s\n", $0);
		}		
	
	next;
	}

	{
	if ($5 >= since_time)
		{
		found = 1;
		}
	}

	{
	if (found) 
		{
		print " ";
		print; 
		next;
		}
	}

END {}
